GDI32
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface GDI32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary, W32API

    public interface GDI32

extends W32API

Definition (incomplete) of `gdi32.dll`.

Nested Class Summary
`static class` | `GDI32.BITMAPINFO`
`static class` | `GDI32.BITMAPINFOHEADER`
`static class` | `GDI32.RECT`
`static class` | `GDI32.RGBQUAD`
`static class` | `GDI32.RGNDATA`
`static class` | `GDI32.RGNDATAHEADER`

Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.W32API
`W32API.DWORD, W32API.HANDLE, W32API.HANDLEByReference, W32API.HBITMAP, W32API.HDC, W32API.HICON, W32API.HINSTANCE, W32API.HMODULE, W32API.HRESULT, W32API.HRGN, W32API.HWND, W32API.LONG, W32API.LONG_PTR, W32API.LPARAM, W32API.LRESULT, W32API.SIZE_T, W32API.SSIZE_T, W32API.UINT_PTR, W32API.ULONG_PTR, W32API.WORD, W32API.WPARAM`

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `ALTERNATE`
`static int` | `BI_BITFIELDS`
`static int` | `BI_JPEG`
`static int` | `BI_PNG`
`static int` | `BI_RGB`
`static int` | `BI_RLE4`
`static int` | `BI_RLE8`
`static int` | `COMPLEXREGION`
`static int` | `DIB_PAL_COLORS`
`static int` | `DIB_RGB_COLORS`
`static int` | `ERROR`
`static GDI32` | `INSTANCE`
`static int` | `NULLREGION`
`static int` | `RDH_RECTANGLES`
`static int` | `RGN_AND`
`static int` | `RGN_COPY`
`static int` | `RGN_DIFF`
`static int` | `RGN_OR`
`static int` | `RGN_XOR`
`static int` | `SIMPLEREGION`
`static int` | `WINDING`

Fields inherited from interface com.sun.jna.platform.win32.W32API
`HWND_BROADCAST, INVALID_HANDLE_VALUE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`int` | `CombineRgn(W32API.HRGN hrgnDest, W32API.HRGN hrgnSrc1, W32API.HRGN hrgnSrc2, int fnCombineMode)`
`W32API.HBITMAP` | `CreateCompatibleBitmap(W32API.HDC hDC, int width, int height)`
`W32API.HDC` | `CreateCompatibleDC(W32API.HDC hDC)`
`W32API.HBITMAP` | `CreateDIBitmap(W32API.HDC hDC, GDI32.BITMAPINFOHEADER lpbmih, int fdwInit, com.sun.jna.Pointer lpbInit, GDI32.BITMAPINFO lpbmi, int fuUsage)`
`W32API.HBITMAP` | `CreateDIBSection(W32API.HDC hDC, GDI32.BITMAPINFO pbmi, int iUsage, com.sun.jna.ptr.PointerByReference ppvBits, com.sun.jna.Pointer hSection, int dwOffset)`
`W32API.HRGN` | `CreatePolyPolygonRgn(User32.POINT[] lppt, int[] lpPolyCounts, int nCount, int fnPolyFillMode)`
`W32API.HRGN` | `CreateRectRgn(int nLeftRect, int nTopRect, int nRightRect, int nBottomRect)`
`W32API.HRGN` | `CreateRoundRectRgn(int nLeftRect, int nTopRect, int nRightRect, int nBottomRect, int nWidthEllipse, int nHeightEllipse)`
`boolean` | `DeleteDC(W32API.HDC hDC)`
`boolean` | `DeleteObject(W32API.HANDLE p)`
`W32API.HRGN` | `ExtCreateRegion(com.sun.jna.Pointer lpXform, int nCount, GDI32.RGNDATA lpRgnData)`
`W32API.HANDLE` | `SelectObject(W32API.HDC hDC, W32API.HANDLE hGDIObj)`
`int` | `SetPixel(W32API.HDC hDC, int x, int y, int crColor)`
`boolean` | `SetRectRgn(W32API.HRGN hrgn, int nLeftRect, int nTopRect, int nRightRect, int nBottomRect)`

Field Detail

### INSTANCE

    static final GDI32 INSTANCE

### RDH_RECTANGLES

    static final int RDH_RECTANGLES

See Also:
  Constant Field Values

### RGN_AND

    static final int RGN_AND

See Also:
  Constant Field Values

### RGN_OR

    static final int RGN_OR

See Also:
  Constant Field Values

### RGN_XOR

    static final int RGN_XOR

See Also:
  Constant Field Values

### RGN_DIFF

    static final int RGN_DIFF

See Also:
  Constant Field Values

### RGN_COPY

    static final int RGN_COPY

See Also:
  Constant Field Values

### ERROR

    static final int ERROR

See Also:
  Constant Field Values

### NULLREGION

    static final int NULLREGION

See Also:
  Constant Field Values

### SIMPLEREGION

    static final int SIMPLEREGION

See Also:
  Constant Field Values

### COMPLEXREGION

    static final int COMPLEXREGION

See Also:
  Constant Field Values

### ALTERNATE

    static final int ALTERNATE

See Also:
  Constant Field Values

### WINDING

    static final int WINDING

See Also:
  Constant Field Values

### BI_RGB

    static final int BI_RGB

See Also:
  Constant Field Values

### BI_RLE8

    static final int BI_RLE8

See Also:
  Constant Field Values

### BI_RLE4

    static final int BI_RLE4

See Also:
  Constant Field Values

### BI_BITFIELDS

    static final int BI_BITFIELDS

See Also:
  Constant Field Values

### BI_JPEG

    static final int BI_JPEG

See Also:
  Constant Field Values

### BI_PNG

    static final int BI_PNG

See Also:
  Constant Field Values

### DIB_RGB_COLORS

    static final int DIB_RGB_COLORS

See Also:
  Constant Field Values

### DIB_PAL_COLORS

    static final int DIB_PAL_COLORS

See Also:
  Constant Field Values

Method Detail

### ExtCreateRegion

    W32API.HRGN ExtCreateRegion(com.sun.jna.Pointer lpXform,
                                int nCount,
                                GDI32.RGNDATA lpRgnData)

### CombineRgn

    int CombineRgn(W32API.HRGN hrgnDest,
                   W32API.HRGN hrgnSrc1,
                   W32API.HRGN hrgnSrc2,
                   int fnCombineMode)

### CreateRectRgn

    W32API.HRGN CreateRectRgn(int nLeftRect,
                              int nTopRect,
                              int nRightRect,
                              int nBottomRect)

### CreateRoundRectRgn

    W32API.HRGN CreateRoundRectRgn(int nLeftRect,
                                   int nTopRect,
                                   int nRightRect,
                                   int nBottomRect,
                                   int nWidthEllipse,
                                   int nHeightEllipse)

### CreatePolyPolygonRgn

    W32API.HRGN CreatePolyPolygonRgn(User32.POINT[] lppt,
                                     int[] lpPolyCounts,
                                     int nCount,
                                     int fnPolyFillMode)

### SetRectRgn

    boolean SetRectRgn(W32API.HRGN hrgn,
                       int nLeftRect,
                       int nTopRect,
                       int nRightRect,
                       int nBottomRect)

### SetPixel

    int SetPixel(W32API.HDC hDC,
                 int x,
                 int y,
                 int crColor)

### CreateCompatibleDC

    W32API.HDC CreateCompatibleDC(W32API.HDC hDC)

### DeleteDC

    boolean DeleteDC(W32API.HDC hDC)

### CreateDIBitmap

    W32API.HBITMAP CreateDIBitmap(W32API.HDC hDC,
                                  GDI32.BITMAPINFOHEADER lpbmih,
                                  int fdwInit,
                                  com.sun.jna.Pointer lpbInit,
                                  GDI32.BITMAPINFO lpbmi,
                                  int fuUsage)

### CreateDIBSection

    W32API.HBITMAP CreateDIBSection(W32API.HDC hDC,
                                    GDI32.BITMAPINFO pbmi,
                                    int iUsage,
                                    com.sun.jna.ptr.PointerByReference ppvBits,
                                    com.sun.jna.Pointer hSection,
                                    int dwOffset)

### CreateCompatibleBitmap

    W32API.HBITMAP CreateCompatibleBitmap(W32API.HDC hDC,
                                          int width,
                                          int height)

### SelectObject

    W32API.HANDLE SelectObject(W32API.HDC hDC,
                               W32API.HANDLE hGDIObj)

### DeleteObject

    boolean DeleteObject(W32API.HANDLE p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD